%bcond_without ruby

Summary:	KDE bindings to non-C++ languages
Name:		kross-interpreters
Version:	17.12.3
Release:	1
Epoch:		1
License:	LGPLv2+
Group:		Graphical desktop/KDE
Url:		https://projects.kde.org/projects/kde/kdebindings/kross-interpreters
Source0:	ftp://ftp.kde.org/pub/kde/stable/applications/%{version}/src/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5kross-devel
BuildRequires:	pkgconfig(python)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)
%if %{with ruby}
BuildRequires:	pkgconfig(ruby)
%endif

%description
Language interpreters to enable in-process scripting with Kross.

#----------------------------------------------------------------------------

%package python
Summary:	Python Kross interpreter
Group:		Graphical desktop/KDE

%description python
Python Kross interpreter.

%files python
%{_qt5_plugindir}/krosspython.so

#----------------------------------------------------------------------------

%if %{with ruby}
%package ruby
Summary:	Ruby Kross interpreter
Group:		Graphical desktop/KDE

%description ruby
Ruby Kross interpreter.

%files ruby
%{_qt5_plugindir}/krossruby.so
%endif

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build


%changelog

* Mon Mar 19 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:17.12.3-1
- (7dd0809) New version 17.12.3

* Tue Oct 31 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:17.08.2-1
- (bda3bd2) New version 17.08.2

* Tue Jul 18 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:17.04.3-1
- (f90d218) New version 17.04.3

* Tue Jun 27 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:17.04.2-1
- (4b3f2ff) New version 17.04.2

* Fri Mar 10 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:16.12.3-1
- (040326a) New version 16.12.3

* Tue Feb 14 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:16.12.2-1
- (f52a716) New version 16.12.2

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:16.12.1-2
- (36b78cd) MassBuild#1230: Increase release tag

* Sat Jan 28 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:16.12.1-1
- (ec0f4f3) New version 16.12.1

* Thu Jan 26 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:16.08.2-2
- (f6772f1) MassBuild#1212: Increase release tag

* Wed Nov 02 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:16.08.2-1
- (f5a6a5f) New version 16.08.2
- (f5a6a5f) Switch to KF5
- (f5a6a5f) Falcon and Java bindings are obsolete now
- (f5a6a5f) Enable Ruby bindings

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:4.14.3-2
- (79bb31c) MassBuild#1169: Increase release tag

* Mon Nov 17 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:4.14.3-1
- (e764360) LOG New version 4.14.3 (sync spec and patches with Cooker)

* Sun Jul 20 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:4.13.3-1
- (b602667) LOG New version 4.13.3 (sync spec and patches with Cooker)

* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1:4.13.2-2
- (c98dd3d) MassBuild#440: Increase release tag

* Mon Jun 16 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:4.13.2-1
- (5efd24e) LOG New version 4.13.2 (sync spec and patches with Cooker)

* Wed Apr 09 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:4.12.4-1
- (6077696) LOG New version 4.12.4 (sync spec and patches with Cooker)

* Thu Mar 13 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:4.12.3-1
- (21db4e8) LOG New version 4.12.3 (sync spec and patches with Cooker)

* Wed Dec 18 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:4.11.4-1
- (410b3b4) LOG New version 4.11.4

* Thu Nov 14 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:4.11.3-1
- (c3c410b) LOG New version 4.11.3

* Fri Oct 25 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:4.11.2-1
- (ac3cd94) LOG New version 4.11.2

* Tue Jul 09 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:4.10.5-1
- (400eca1) LOG New version 4.10.5

* Thu Jun 13 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:4.10.4-1
- (fb8649a) LOG New version 4.10.4

* Tue May 21 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:4.10.3-1
- (8f396d4) LOG New version 4.10.3 (sync with Cooker)

* Sat Jan 26 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:4.9.5-1
- (2dff5a0) LOG New version 4.9.5

* Thu Dec 06 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:4.9.4-1
- (303bbd9) LOG New version 4.9.4

* Thu Nov 08 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:4.9.3-1
- (7203177) LOG New version 4.9.3

* Sat Oct 06 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:4.9.2-1
- (3ee433a) New version 4.9.2

* Tue Sep 11 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:4.9.1-1
- (7134dc7) New version 4.9.1

* Tue Aug 14 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:4.9.0-1
- (304f0a2) New version 4.9.0

* Sat Jul 21 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:4.8.97-1
- (184a509) New version 4.8.97


